org.apache.cassandra.gms

## Class GossipDigest

- java.lang.Object
- - org.apache.cassandra.gms.GossipDigest

- All Implemented Interfaces:
    java.lang.Comparable<GossipDigest>

      public class GossipDigest
      extends java.lang.Object
      implements java.lang.Comparable<GossipDigest>

  Contains information about a specified list of Endpoints and the largest version of the state they have generated as known by the local endpoint.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static IVersionedSerializer<GossipDigest>` | `serializer`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(GossipDigest gDigest)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serializer

          public static final IVersionedSerializer<GossipDigest> serializer

  - ### Method Detail

    - #### compareTo

          public int compareTo(GossipDigest gDigest)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<GossipDigest>`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2018 The Apache Software Foundation